Top-Themen

Aktuelle Themen (A bis Z)

Administrator.de FeedbackApache ServerAppleAssemblerAudioAusbildungAuslandBackupBasicBatch & ShellBenchmarksBibliotheken & ToolkitsBlogsCloud-DiensteClusterCMSCPU, RAM, MainboardsCSSC und C++DatenbankenDatenschutzDebianDigitiales FernsehenDNSDrucker und ScannerDSL, VDSLE-BooksE-BusinessE-MailEntwicklungErkennung und -AbwehrExchange ServerFestplatten, SSD, RaidFirewallFlatratesGoogle AndroidGrafikGrafikkarten & MonitoreGroupwareHardwareHosting & HousingHTMLHumor (lol)Hyper-VIconsIDE & EditorenInformationsdiensteInstallationInstant MessagingInternetInternet DomäneniOSISDN & AnaloganschlüsseiTunesJavaJavaScriptKiXtartKVMLAN, WAN, WirelessLinuxLinux DesktopLinux NetzwerkLinux ToolsLinux UserverwaltungLizenzierungMac OS XMicrosoftMicrosoft OfficeMikroTik RouterOSMonitoringMultimediaMultimedia & ZubehörNetzwerkeNetzwerkgrundlagenNetzwerkmanagementNetzwerkprotokolleNotebook & ZubehörNovell NetwareOff TopicOpenOffice, LibreOfficeOutlook & MailPapierkorbPascal und DelphiPeripheriegerätePerlPHPPythonRechtliche FragenRedHat, CentOS, FedoraRouter & RoutingSambaSAN, NAS, DASSchriftartenSchulung & TrainingSEOServerServer-HardwareSicherheitSicherheits-ToolsSicherheitsgrundlagenSolarisSonstige SystemeSoziale NetzwerkeSpeicherkartenStudentenjobs & PraktikumSuche ProjektpartnerSuseSwitche und HubsTipps & TricksTK-Netze & GeräteUbuntuUMTS, EDGE & GPRSUtilitiesVB for ApplicationsVerschlüsselung & ZertifikateVideo & StreamingViren und TrojanerVirtualisierungVisual StudioVmwareVoice over IPWebbrowserWebentwicklungWeiterbildungWindows 7Windows 8Windows 10Windows InstallationWindows MobileWindows NetzwerkWindows ServerWindows SystemdateienWindows ToolsWindows UpdateWindows UserverwaltungWindows VistaWindows XPXenserverXMLZusammenarbeit

(Linux) SSL Update auf 1.2

Mitglied: lord-icon

lord-icon (Level 1) - Jetzt verbinden

19.05.2018 um 09:08 Uhr, 1114 Aufrufe, 3 Kommentare

Moin,

ich hab Debian mit SSL 1.0.1t am laufen.

Ein Plugin, wird nun aber zum 1.7 nur noch 1.2 unterstützen.

Problem hier: Ein BS update bringt kein 1.2 mit. Ein händisches kompiliern schläg fehl, weil ich die Pakete nicht finde.

https://www.openssl.org/source/ => 1.1 ist die letzte Version. (von der 2.0 Version mal abgesehen)

Auch nicht auf Openssl FTP Servern:
Z,b, http://artfiles.org/openssl.org/source/


Weiß einer den Grund hierfür ?

Heise hat ende des letzten Jahres sogar noch geschrieben, dass die Version 1.3 noch nciht fertig geschrieben ist... und deshalb auf 1.2 ausgewichen werden muß.
https://www.heise.de/security/meldung/Debian-Entwicklungsversion-schalte ...

Das war vor einen halben Jahr. 1.3 gibt es immer noch nicht... 1.2 finde ich nicht. 1.1 ist unzureichend.
2.0 wird sicherlich mehr abhängigkeiten haben als mir lieb ist zu lösen. Zumal PHP und weitere Pakete hier auch noch mitspielen müssen.

Weiß einer Rat warum 1.2 nicht (mehr) zur Verfügung steht... respektive: woher ich die Pakete nun doch noch her bekomme (bitte keine unterground Links


Habt Dank

Mitglied: Lochkartenstanzer
19.05.2018, aktualisiert um 11:20 Uhr
Moin,


Du verwechselst offensichtlich das paket openssl und die Protokolle SSL und TLS.

jessie müsste eigentlich schon tls 1.2 haben.

und openssl bis 1.0.0h unterstützt SSLv2, SSLv3 und TLS1.0.


Ab Openssl 1.0.1 wird TLSv1.1 and TLSv1.2 unterstützt.

Dein openssl 1.0.1t müßte es folglich tun.

welches debian hast Du denn?


lks
Bitte warten ..
Mitglied: wiesi200
19.05.2018, aktualisiert um 10:15 Uhr
Hallo,

du bringst da einiges durcheinander
es gibt kein openssl 1.2 noch 1.3 und auch kein 2.0.

Akutell ist 1.1.0h und die 1.1.1 ist in Entwicklung welche dann TLS 1.3 unterstützen wirde. TLS 1.2 gibt es schon länger und wird auch von allen gängigen SSL Bibliotheken unterstützt.

somit die Frage oder eher die Vermutung. Dein Plugin braucht vermutlich eine TLS1.2 verbindung

https://de.wikipedia.org/wiki/Transport_Layer_Security
https://de.wikipedia.org/wiki/OpenSSL

Sprich Apfel und Birnen
Bitte warten ..
Mitglied: certifiedit.net
19.05.2018, aktualisiert um 11:55 Uhr
Wie @wiesi200 schon verlinkt hat, hätte ein bisschen genau lesen dir bereits geholfen.

Vielleicht besser die Finger von der Technik lassen, wenn man Obstsalat aus den einzelnen Bezeichnungen und Versionierungen macht. Denn mit der Sicherheit sollte es dann auch nicht besonders gut bestellt sein.

Schönen Freitag.
Bitte warten ..
Ähnliche Inhalte
Verschlüsselung & Zertifikate
SSL 2048bit vs TLS 1.2 256bit AES
Frage von brounasVerschlüsselung & Zertifikate3 Kommentare

Hallo Zusammen, derzeit recherchiere ich etwas über SaaS Cloudanbieter. Anbieter A sagt, er verschlüsselt die Verbindungen mit SSL 2048bit ...

Verschlüsselung & Zertifikate
Linux - SSL Private Key absichern
Frage von atomiqueVerschlüsselung & Zertifikate5 Kommentare

Hallo zusammen, folgendes Szenario: Ich habe einen Server mit Apache, Seafile, XMPP-Server usw. und ich aktualisiere gerade mein SSL-Zertifikat. ...

Apache Server

Linux - Apache, Tomcat, Java Keystore, SSL

Frage von Obi-wan-BelixApache Server1 Kommentar

Hallo zusammen, ich bin neu im Serverumfeld und habe bei einem Projekt schlichtweg Verständnisschwierigkeiten. Ich habe mich im Netz ...

Verschlüsselung & Zertifikate

BSI: TLS 1.2 oder 1.3 verwenden

Information von sabinesVerschlüsselung & Zertifikate1 Kommentar

Das BSI empfiehlt den Bundesbehörden ab sofort TLS 1.2 oder 1.3 einzusetzen, eTLS wird hierbei (zum Glück) nicht erwähnt. ...

Neue Wissensbeiträge
Humor (lol)

Funny: Warum es immer schwieriger wird, die richtigen Produkte online zu finden

Information von Dilbert-MD vor 1 TagHumor (lol)17 Kommentare

Wir befinden uns in der Rubrik "Off Topic - Humor" und in 15 Minuten ist Freitag. und ja, es ...

Windows Update
MS SQL Server Updates
Information von sabines vor 1 TagWindows Update

Für 2012, 2014 und 2016 sind seit Dienstag wichtige Sicherheitsupdates verfügar, die eine remote, leicht auszunutzende Lücke im Reporting ...

Microsoft Office

Microsoft warnt: Office 365 am 29. Februar leider nicht nutzbar

Information von Lochkartenstanzer vor 2 TagenMicrosoft Office11 Kommentare

Moin, Wie die Überschrift schon sagt, gibt es offensichtlicham 29. februar ein Problem: Microsoft warnt: Office 365 am 29. ...

Netzwerkmanagement
Siemens Switche initial konfigurieren
Tipp von brammer vor 2 TagenNetzwerkmanagement2 Kommentare

Hallo, Bisher gab es für Siemens Switche die Möglichkeit die initiale Konfiguration über den Simatic Manager oder das Primary ...

Heiß diskutierte Inhalte
Server-Hardware
Lieferzeiten bei einem Server - kann das sein?
gelöst Frage von samet22Server-Hardware31 Kommentare

Hallo, ich hätte an diejenigen eine Frage welche innerhalb der letzten 6-12 Monate einen Server bestellt haben. Ich habe ...

Verschlüsselung & Zertifikate
SSL Zertifikat gekauft funktioniert aber nicht
Frage von TeKiLLa1895Verschlüsselung & Zertifikate18 Kommentare

Hi, Habe vor 2 Tagen mit einer CSR mir ein Zertifikat beantragt und auch bekommen. Jetzt passt aber der ...

Humor (lol)
Funny: Warum es immer schwieriger wird, die richtigen Produkte online zu finden
Information von Dilbert-MDHumor (lol)17 Kommentare

Wir befinden uns in der Rubrik "Off Topic - Humor" und in 15 Minuten ist Freitag. und ja, es ...

Linux Tools
Wert aus eine bestimmte Zeile in eine andere Spalte ändern unter Linux Bash
gelöst Frage von OIOOIOOIOIIOOOIIOIIOIOOOLinux Tools15 Kommentare

Guten Tag, ich sitze gerade wiedermal vor einem Problem und muss unter Zeitdruck ein diesen lösen. Ich muss mit ...